# Class CIM_BIOSLoadedInNV
extends CIM_Dependency

A link between BIOSElement and Memory where the BIOS is loaded.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_BIOSLoadedInNV

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | A link between BIOSElement and Memory where the BIOS is loaded.
UMLPackagePath | string | CIM::Device::Memory
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
EndingAddress | uint64 |
Description | string | The ending address where the BIOS is located in non-volatile storage.
StartingAddress | uint64 |
Description | string | The starting address where the BIOS is located in non-volatile storage.

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_BIOSLoadedInNV | CIM_Memory
Dependent | CIM_BIOSLoadedInNV | CIM_BIOSElement

## Class Methods